// Copyright 2024 Matthew Rich <matthewrich.conf@gmail.com>. All rights reserved.

package source

import (
	"github.com/stretchr/testify/assert"
	"testing"
)

func TestNewDirSource(t *testing.T) {
	s := NewDir()
	assert.NotNil(t, s)
}

func TestExtractDirectory(t *testing.T) {
	s := NewDir()
	assert.NotNil(t, s)

	document, err := s.ExtractDirectory(TempDir)
	assert.Nil(t, err)
	assert.NotNil(t, document)

}
